Subject: Re: [TLS] [Ietf-honest] Multi-Threaded Applications over TLS (fwd)

From: Dean Anderson <[email-masked]>
Date: Wed, 22 Apr 2009 09:50:00 -0400 (EDT)

FYI,

---------- Forwarded message ----------
Date: Wed, 22 Apr 2009 09:47:44 -0400 (EDT)
From: Dean Anderson <[email-masked]>
To: Alessandro Vesely <[email-masked]>
Cc: [email-masked]
Subject: Re: [Ietf-honest] [TLS] Multi-Threaded Applications over TLS (fwd)

This was announced on TLS, too. I am greatly disappointed. There is a
IPR Disclosure 1136 https://datatracker.ietf.org/ipr/1136/ that is
related.

The license terms aren't mutually defensive, and so I have to withdraw
my support and oppose this draft.

This is really too bad, since the notion of multiplexing is already 
defined, as someone pointed out, in RFC1692 TMux protocol. So it seems 
to me the patent shouldn't survive the prior art.

		--Dean

On Wed, 22 Apr 2009, Alessandro Vesely wrote:

> Dean Anderson wrote:
> > This is a wonderful proposal for multiplexing that I think would be
> > useful for HTTP and perhaps other protocols. Its a very neat little
> > channel protocol.  I don't think we should miss it.
> > http://www.ietf.org/internet-drafts/draft-badra-tls-multiplexing-00.txt
> > [...]
> > Is there somewhere else this could be used? If anyone has suggestions on
> > how to utilize Badra's idea, I think it would be appreciated. Some have
> > suggested that VPNs might also be able to take advantage of this
> > proposal.
> 
> I'm not sure what's the advantage, since the "Method of setting up 
> virtual private networks and remote access control" is patent 
> encumbered, according to 
> http://v3.espacenet.com/publicationDetails/biblio?CC=EP&NR=1858224
> 
> According to https://datatracker.ietf.org/ipr/1137/ that applies to 
> badra-tls-multiplexing, and according to the previous record /1136/, 
> "Ineovation is willing to negotiate licenses with interested parties 
> to such patent rights." It is not clear if each interested party 
> should start a separate negotiation or if that could be done "à 
> travers une seule session sécurisée établie entre un client et un 
> serveur". That is to say, if the IETF or other ISOC body would acquire 
> a grant so that people who develop and use (free) software that is 
> deemed useful for the Internet can employ patent encumbered protocols 
> promoted by the IETF under any open source license they choose. That 
> would be useful multiplexing!
> 
> 
> _______________________________________________
> Ietf-honest mailing list
> [email-masked]
> http://lists.iadl.org/mailman/listinfo/ietf-honest
> 
> 

-- 
Av8 Internet   Prepared to pay a premium for better service?
www.av8.net         faster, more reliable, better service
617 344 9000